%define	libva_ver	2.1.0
Summary:	VAAPI (Video Acceleration API) utilities
Summary(pl.UTF-8):	VAAPI (Video Acceleration API) - programy narzędziowe
Name:		libva-utils
Version:	2.4.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/intel/libva-utils/releases
# versions up to 2.4.0 had release tarballs, 2.4.1 only archive
#Source0:	https://github.com/intel/libva-utils/releases/download/%{version}/%{name}-%{version}.tar.bz2
Source0:	https://github.com/intel/libva-utils/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e742323936cb4f93db8ec714aba38985
URL:		https://01.org/linuxmedia/vaapi
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4
BuildRequires:	libtool >= 2:2
BuildRequires:	libva-devel >= %{libva_ver}
BuildRequires:	libva-wayland-devel >= %{libva_ver}
BuildRequires:	libva-x11-devel >= %{libva_ver}
BuildRequires:	pkgconfig
# VA-API version
BuildRequires:	pkgconfig(libva) >= 1.1.0
# wayland-client
BuildRequires:	wayland-devel >= 1.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
Requires:	libva-drm >= %{libva_ver}
Requires:	libva-wayland >= %{libva_ver}
Requires:	libva-x11 >= %{libva_ver}
Provides:	libva-tools = %{version}
Obsoletes:	libva-tools < 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities and tests for libva API.

%description -l pl.UTF-8
Programy narzędziowe i testowe dla API libva.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_bindir}/avcenc
%attr(755,root,root) %{_bindir}/avcstreamoutdemo
%attr(755,root,root) %{_bindir}/h264encode
%attr(755,root,root) %{_bindir}/hevcencode
%attr(755,root,root) %{_bindir}/jpegenc
%attr(755,root,root) %{_bindir}/loadjpeg
%attr(755,root,root) %{_bindir}/mpeg2vaenc
%attr(755,root,root) %{_bindir}/mpeg2vldemo
%attr(755,root,root) %{_bindir}/putsurface
%attr(755,root,root) %{_bindir}/putsurface_wayland
%attr(755,root,root) %{_bindir}/sfcsample
%attr(755,root,root) %{_bindir}/vainfo
%attr(755,root,root) %{_bindir}/vavpp
%attr(755,root,root) %{_bindir}/vp8enc
%attr(755,root,root) %{_bindir}/vp9enc
%attr(755,root,root) %{_bindir}/vppblending
%attr(755,root,root) %{_bindir}/vppchromasitting
%attr(755,root,root) %{_bindir}/vppdenoise
%attr(755,root,root) %{_bindir}/vppscaling_csc
%attr(755,root,root) %{_bindir}/vppsharpness
%changelog
* Mon Apr 22 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva-utils.git;a=log;h=master

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 454aba7
- updated to 2.4.1

* Thu Feb 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 32bb796
- updated to 2.4.0

* Thu Nov 01 2018 Lukasz Glebicki <blekot@pld-linux.org> 6d29783
- up to 2.3.0

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 99c27a5
- updated to 1.8.2

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 6ddb93b
- force libva 1.8.0 to avoid conflicts with some binaries distributed over library packages

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> d549512
- new, split from libva releases since 1.8.0

